Package: org.apache.groovy.contracts.util

## [Java] Class Validate

- org.apache.groovy.contracts.util.Validate

-     public class Validate
      extends Object

  Internal utility class for in-code assertion checks.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `isTrue(boolean expression)`
    `` | `public static void` | `notNull(Object obj)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### public static void isTrue(boolean expression)

    - #### public static void notNull(Object obj)